QScintilla: QsciLexerBash Class Reference

# QsciLexerBash Class Reference

The QsciLexerBash class encapsulates the Scintilla Bash lexer. More...

`#include <qscilexerbash.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Error = 1, Comment = 2,
  Number = 3, Keyword = 4, DoubleQuotedString = 5,
  SingleQuotedString = 6, Operator = 7, Identifier = 8,
  Scalar = 9, ParameterExpansion = 10, Backticks = 11,
  HereDocumentDelimiter = 12, SingleQuotedHereDocument = 13
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerBash (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerBash ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerBash class encapsulates the Scintilla Bash lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Bash lexer.

Enumerator:

  Default | The default.
  Error | An error.
  Comment | A comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  ParameterExpansion | Parameter expansion.
  Backticks | Backticks.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.

## Constructor & Destructor Documentation

QsciLexerBash::QsciLexerBash | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerBash with parent parent and name name. parent is typically the QsciScintilla instance.

virtual QsciLexerBash::~QsciLexerBash | ( |  | ) | `[virtual]`

Destroys the QsciLexerBash instance.

## Member Function Documentation

const char* QsciLexerBash::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerBash::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerBash::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

bool QsciLexerBash::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerBash::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerBash::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerBash::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerBash::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerBash::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerBash::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QsciLexerBash::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerBash::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void QsciLexerBash::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerBash::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerBash::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.